import { PropType } from 'vue';
import { Arrayable } from '@vueuse/core';
import { WillOption, Option } from '../_util/normalizeOptions';
declare const _default: import("vue").DefineComponent<{
    value: PropType<Arrayable<string | number>>;
    options: PropType<WillOption[]>;
    multiple: BooleanConstructor;
    disabled: BooleanConstructor;
    showArrow: {
        default: boolean;
    };
    clearable: BooleanConstructor;
    virtualScroll: BooleanConstructor;
    placeholder: {
        default: string;
    };
    filterable: BooleanConstructor;
    filter: PropType<(inputValue: string, option: Option) => Boolean>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("search" | "change" | "select" | "update:value" | "focus" | "blur" | "deselect")[], "search" | "change" | "select" | "update:value" | "focus" | "blur" | "deselect", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: PropType<Arrayable<string | number>>;
    options: PropType<WillOption[]>;
    multiple: BooleanConstructor;
    disabled: BooleanConstructor;
    showArrow: {
        default: boolean;
    };
    clearable: BooleanConstructor;
    virtualScroll: BooleanConstructor;
    placeholder: {
        default: string;
    };
    filterable: BooleanConstructor;
    filter: PropType<(inputValue: string, option: Option) => Boolean>;
}>> & {
    onFocus?: (...args: any[]) => any;
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onSelect?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
    onSearch?: (...args: any[]) => any;
    onDeselect?: (...args: any[]) => any;
}, {
    placeholder: string;
    disabled: boolean;
    clearable: boolean;
    multiple: boolean;
    showArrow: boolean;
    virtualScroll: boolean;
    filterable: boolean;
}>;
export default _default;
