import { PropType } from 'vue';
type ButtonType = 'default' | 'primary' | 'danger' | 'warning' | 'success';
declare const Button: import("vue").DefineComponent<{
    type: {
        type: PropType<ButtonType>;
        default: string;
    };
    tag: {
        type: PropType<keyof HTMLElementTagNameMap>;
        default: string;
    };
    dashed: BooleanConstructor;
    circle: BooleanConstructor;
    round: BooleanConstructor;
    ghost: BooleanConstructor;
    link: BooleanConstructor;
    block: BooleanConstructor;
    disabled: BooleanConstructor;
    href: StringConstructor;
    target: StringConstructor;
    autofocus: BooleanConstructor;
    loading: BooleanConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "click"[], "click", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    type: {
        type: PropType<ButtonType>;
        default: string;
    };
    tag: {
        type: PropType<keyof HTMLElementTagNameMap>;
        default: string;
    };
    dashed: BooleanConstructor;
    circle: BooleanConstructor;
    round: BooleanConstructor;
    ghost: BooleanConstructor;
    link: BooleanConstructor;
    block: BooleanConstructor;
    disabled: BooleanConstructor;
    href: StringConstructor;
    target: StringConstructor;
    autofocus: BooleanConstructor;
    loading: BooleanConstructor;
}>> & {
    onClick?: (...args: any[]) => any;
}, {
    block: boolean;
    link: boolean;
    type: ButtonType;
    tag: keyof HTMLElementTagNameMap;
    dashed: boolean;
    circle: boolean;
    round: boolean;
    ghost: boolean;
    disabled: boolean;
    autofocus: boolean;
    loading: boolean;
}>;
export default Button;
